Package org.gitana.platform.client.support

# Class RemoteContextThreadLocal

java.lang.Object
org.gitana.platform.client.support.RemoteContextThreadLocal

public class RemoteContextThreadLocal extends Object

Author:
  uzi

## Constructor Summary

Constructors
Constructor
Description
`RemoteContextThreadLocal()`

## Method Summary

Modifier and Type
Method
Description
`static RemoteContext`
`getRemoteContext()`
`static void`
`release()`
`static void`
`setRemoteContext(RemoteContext remoteContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RemoteContextThreadLocal

public RemoteContextThreadLocal()

## Method Details

### setRemoteContext

public static void setRemoteContext(RemoteContext remoteContext)

### getRemoteContext

public static RemoteContext getRemoteContext()

### release

public static void release()